tigase.auth.adhoc

## Class AddUserCredentials

- java.lang.Object
- - tigase.auth.adhoc.AbstractCredentialsCommand
  - - tigase.auth.adhoc.AddUserCredentials

- All Implemented Interfaces:
    AdHocCommand

      @Bean(name="auth-credentials-add",
            parent=SessionManager.class,
            active=true)
      public class AddUserCredentials
      extends AbstractCredentialsCommand

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NODE`

    - ### Fields inherited from class tigase.auth.adhoc.AbstractCredentialsCommand

      `authRepository, FIELD_CREDENTIAL_ID, FIELD_JID, FIELD_PASSWORD, FIELD_USERNAME, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddUserCredentials()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `String` | `getNode()`
    `protected void` | `processForm(Form form, AdhHocRequest request, AdHocResponse response)`
    `protected void` | `processNoForm(AdhHocRequest request, AdHocResponse response)`

    - ### Methods inherited from class tigase.auth.adhoc.AbstractCredentialsCommand

      `checkIfCanModifyJID, execute, isAllowedFor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.component.adhoc.AdHocCommand

      `execute, getGroup`

- - ### Field Detail

    - #### NODE

          public static final String NODE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AddUserCredentials

          public AddUserCredentials()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getNode

          public String getNode()

    - #### processForm

          protected void processForm(Form form,
                                     AdhHocRequest request,
                                     AdHocResponse response)
                              throws TigaseDBException,
                                     AdHocCommandException

      Specified by:
        `processForm` in class `AbstractCredentialsCommand`
      Throws:
        `TigaseDBException`
        `AdHocCommandException`

    - #### processNoForm

          protected void processNoForm(AdhHocRequest request,
                                       AdHocResponse response)

      Specified by:
        `processNoForm` in class `AbstractCredentialsCommand`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.